Subject: bug#20346: closed (Re: bug#20346: 24.3; Variable `whitespace-style': documentation and custom choices inconsistent)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 02 May 2015 09:19:03 +0000

Your bug report

#20346: 24.3; Variable `whitespace-style': documentation and custom choices inconsistent

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20346: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20346
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20346: 24.3; Variable `whitespace-style': documentation and custom choices inconsistent
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 02 May 2015 12:17:36 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 18 Apr 2015 12:40:56 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: Philipp Stephani <[email-masked]>
> > Date: Sat, 18 Apr 2015 08:44:43 +0000
> > Cc: [email-masked]
> > 
> > Patch is attached. 
> 
> Thanks.  Please in the future include a ChangeLog-style log entry.
> 
> Let's wait for a few days to let others comment, and then I will push
> this.

No comments, so I pushed this, and I'm marking this bug done.

Thanks again for working on this.

Subject: 24.3; Variable `whitespace-style': documentation and custom choices inconsistent
From: Philipp Stephani <[email-masked]>
To: [email-masked]
Date: Thu, 16 Apr 2015 11:17:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The documentation of the `whitespace-style' variable mentions the
following possible symbols:

big-indent
empty
face
indentation
indentation::space
indentation::tab
lines
lines-tail
newline
newline-mark
space-after-tab
space-after-tab::space
space-after-tab::tab
space-before-tab
space-before-tab::space
space-before-tab::tab
space-mark
spaces
tab-mark
tabs
trailing

However, the available customization choices are only:

big-indent
empty
face
indentation
lines
newline
newline-mark
space-after-tab
space-before-tab
space-mark
spaces
tab-mark
tabs
trailing

Also for the type of the customization option, `set' would be more
appropriate than `repeat'.

In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.7)
 of 2014-03-07 on lamiak, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
Configured using:
 `configure '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu'
 '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'
 '--localstatedir=/var/lib' '--infodir=/usr/share/info'
 '--mandir=/usr/share/man' '--with-pop=yes'
 '--enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3/site-lisp:/usr/share/emacs/site-lisp'
 '--with-crt-dir=/usr/lib/x86_64-linux-gnu' '--with-x=yes'
 '--with-x-toolkit=gtk3' '--with-toolkit-scroll-bars'
 'build_alias=x86_64-linux-gnu' 'CFLAGS=-g -O2 -fstack-protector
 --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall'
 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro'
 'CPPFLAGS=-D_FORTIFY_SOURCE=2''

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x r e p o r t - e <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils time-date tooltip ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)